---
name: Help!
about: Encountered a problem with EssentialsX? Not sure how to fix it?
labels: 'type: question'

---

<!-- EssentialsX help request guide

NOTE: Failure to fill out this template properly may result in your issue being
      delayed or ignored.

Don't type between any arrows in the template, as this text will be hidden.
This includes this header block and any other explanatory text blocks.

Want faster support? Come join our Discord server to get help from both
developers and community members: https://discord.gg/F7gexAQ

If you're happy to wait (or you were sent here from Discord), read on:

1.  Check the Common Issues page.
      Read through the wiki page to see if you've encountered a regular issue:
      https://essentialsx.net/wiki/Common-Issues.html

2.  Fill out the template.
      Run the commands in the console. Don't just put "latest" as a version, or
      we will ignore it. This will help us understand what problem you've
      encountered and help us find a solution.

3.  When linking logs or config files, do not attach them to the post!
      Copy and paste any logs into https://gist.github.com/, then paste a
      link to them in the relevant parts of the template. Do not use Hastebin
      or Pastebin, as this can cause issues when trying to solve issues in the
      future.
      **DO NOT drag logs into this text box!**

4.  If you are encountering a performance issue, please include a link to a
    Timings and/or profiler report.

-->

### Information

**Full output of `/ess version`:**
<!--
    Run /ess version in the console, then paste the full output of the command
    between the ```s.
-->
```

```

**Server startup log:**
<!--
    Restart your server and upload `logs/latest.log` to
    https://gist.github.com/. You may redact sensitive data (such as IP
    addresses), but you should make it clear what data was removed. Once
    uploaded, paste the link below this block.
-->


**EssentialsX config:**
<!--
    Upload `plugins/Essentials/config.yml` (and other config files if relevant)
    to https://gist.github.com/ then paste the link below this block.
-->


### Help request

**Problem:**  
<!-- What problem did you encounter? Type below this line. -->

**What I have tried:**  
<!-- What have you tried so far? Type below this line. -->

**Console stack trace:**  
<!--
    If you are reporting an error in the console, paste it between the ```s.
-->
```

```

**Screenshots:**  
<!-- If relevant, include any screenshots or a video below this line. -->
