---
name: Report a bug
about: Report an EssentialsX bug. Only use this if you're 100% sure there's something wrong with EssentialsX - otherwise, try "Help!".
labels: 'bug: unconfirmed'

---

<!-- EssentialsX bug reporting guide

NOTE: Failure to fill out this template properly may result in your issue being
      delayed or ignored.

Don't type between any arrows in the template, as this text will be hidden.
This includes this header block and any other explanatory text blocks.

If you are reporting a bug, please follow the following steps:

1.  Fill out the template in full.
      Run the commands in the console. Don't just put "latest" as a version,
      or we will ignore it.

2.  When linking files, do not attach them to the post!
      Copy and paste any logs into https://gist.github.com/, then paste a
      link to them in the relevant parts of the template. Avoid using
      Hastebin or Pastebin, as this makes providing support more difficult.
      **DO NOT drag files into this text box!**

3.  If you are reporting a performance issue, please include a link to a
    Timings and/or profiler report.

4.  If you are reporting a bug with commands or something else in-game,
    please include screenshots to help us diagnose the problem.

-->

### Information

**Full output of `/ess version`:**
<!--
    Run /ess version in the console, then paste the full output of the command
    between the ```s.
-->
```

```

**Server startup log:**
<!--
    Restart your server and upload `logs/latest.log` to
    https://gist.github.com/. You may redact sensitive data (such as IP
    addresses), but you should make it clear what data was removed. Once
    uploaded, paste the link below this block.
-->


**EssentialsX config:**
<!--
    Upload `plugins/Essentials/config.yml` (and other config files if relevant)
    to https://gist.github.com/ then paste the link below this block.
-->


### Details

**Description:**  
<!-- What is the bug? Type a brief summary below this line. -->

**Steps to reproduce:**  
<!-- How did you cause it? Describe what you did to cause the bug below. -->

**Expected behavior:**  
<!-- What did you expect to happen? Type below this line. -->

**Console stack trace:**  
<!--
    If you are encountering an error in the console, paste it between the ```s.
-->
```

```

**Screenshots:**  
<!-- If necessary, include screenshots or a video below this line. -->
