---
name: Feature addition
about: Use this if your PR adds a new feature to EssentialsX.
labels: 'type: enhancement'
---

<!-- EssentialsX feature submission guide

NOTE: Failure to fill out this template properly may result in your PR being
      delayed or ignored without warning.

Don't type between any arrows in the template, as this text will be hidden.
This includes this header block and any other explanatory text blocks.

Want to discuss your PR before submitting it? Join the EssentialsX Development
server: https://discord.gg/CUN7qVb

By contributing to EssentialsX, you agree to license your code under the
GNU General Public License version 3, which can be found at the link below:
https://github.com/EssentialsX/Essentials/blob/2.x/LICENSE

If you are submitting a new feature, please follow the following steps:

1.  Fill out the template in full.
      This includes providing screenshots and a link to the original feature 
      request. If there isn't an existing feature request, we strongly
      recommend opening a new feature request BEFORE opening your PR to
      implement it, as this allows us to review whether we're likely to accept
      your feature in advance, and also allows us to discuss possible
      implementations for the feature. If there is no associated feature
      request, your PR may be delayed or rejected without warning.
      
      You can open a new feature request by following this link:
      https://github.com/EssentialsX/Essentials/issues/new/choose

2.  If you are fixing a performance issue, please use the "Bug fix" PR template
      instead. The "bug fix" template is better suited to performance issues.

3.  Include a demonstration.
      If you are adding commands, please provide screenshots and/or a video
      demonstration of the feature. Similarly, if you are adding a new API,
      please include a link to example code that takes advantage of your
      proposed API. This will aid us in reviewing PRs and speed up the process
      significantly.

-->

### Information

<!--
    Replace #nnnn with the number of the original issue. If this PR implements
    features from multiple issues, you should repeat the phrase "closes #nnnn"
    for each issue. 
-->

This PR closes #nnnn. 

### Details

**Proposed feature**  
<!-- Type a description of your proposed feature below this line. -->

**Environments tested:**  
<!--
    Below this block, put an "x" inside the box for the environments you have
    tested this bug fix on, and if relevant alter the OS and Java version
    accordingly. If this feature does not apply to an environment, strike
    through the environment using ~~strikethrough~~. If you have tested on
    other environments, add a new line with relevant details.
-->

- [ ] [Latest](https://papermc.io/downloads) Paper Version (any OS, any Java 8+ version)
- [ ] CraftBukkit/Spigot/Paper 1.12.2 (any OS, any Java 8+ version)
- [ ] CraftBukkit 1.8.8 (any OS, any Java 8+ version)

**Demonstration:**  
<!--
    Below this block, include screenshots/code snippets from before and after
    as necessary. If you have created or used a test case plugin, please link
    to a download of the plugin, source code and exact version used where
    possible.
-->
